Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.dropboxmq.messageselector
Class LogicalExpression.OrExpression

    java.lang.Object
      net.sf.dropboxmq.messageselector.Expression
          net.sf.dropboxmq.messageselector.BinaryExpression
              net.sf.dropboxmq.messageselector.LogicalExpression
                  net.sf.dropboxmq.messageselector.LogicalExpression.OrExpression

Enclosing class:
  LogicalExpression

    public static class LogicalExpression.OrExpression

extends LogicalExpression

Nested Class Summary

Nested classes/interfaces inherited from class net.sf.dropboxmq.messageselector.LogicalExpression
`LogicalExpression.AndExpression, LogicalExpression.OrExpression`

Constructor Summary
`LogicalExpression.OrExpression(Expression left, Token leftToken, Expression right, Token rightToken)`

Method Summary
`Object` | `getValue(Message message)`

Methods inherited from class net.sf.dropboxmq.messageselector.LogicalExpression
`getValueClass`

Methods inherited from class net.sf.dropboxmq.messageselector.BinaryExpression
`getLeft, getRight, promote, toString`

Methods inherited from class net.sf.dropboxmq.messageselector.Expression
`evaluate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LogicalExpression.OrExpression

    public LogicalExpression.OrExpression(Expression left,
                                          Token leftToken,
                                          Expression right,
                                          Token rightToken)
                                   throws ParseException

Throws:
  `ParseException`

Method Detail

### getValue

    public Object getValue(Message message)

  Specified by:
    `getValue` in class `Expression`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD